---
title: Number.MIN_VALUE
slug: Web/JavaScript/Reference/Global_Objects/Number/MIN_VALUE
tags:
  - JavaScript
  - Number
  - Property
---
<div>{{JSRef}}</div>

<p>The <strong><code>Number.MIN_VALUE</code></strong> property represents the smallest positive numeric value representable in JavaScript.</p>

<div>{{EmbedInteractiveExample("pages/js/number-min-value.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<div>{{js_property_attributes(0, 0, 0)}}</div>

<h2 id="Description">Description</h2>

<p>The <code>MIN_VALUE</code> property is the number closest to 0, not the most negative number, that JavaScript can represent.</p>

<p><code>Number.MIN_VALUE</code> is <code>5e-324</code>, i.e. the smallest positive number that can be represented within float precision, i.e. that's as close as you can get to zero. Values smaller than <code>MIN_VALUE</code> ("underflow values") are converted to 0.</p>

<p>Because <code>MIN_VALUE</code> is a static property of {{jsxref("Number")}}, you always use it as <code>Number.MIN_VALUE</code>, rather than as a property of a {{jsxref("Number")}} object you created.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_MIN_VALUE">Using MIN_VALUE</h3>

<p>The following code divides two numeric values. If the result is greater than or equal to <code>MIN_VALUE</code>, the <code>func1</code> function is called; otherwise, the <code>func2</code> function is called.</p>

<pre class="brush: js notranslate">if (num1 / num2 &gt;= Number.MIN_VALUE) {
  func1();
} else {
  func2();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-number.min_value', 'Number.MIN_VALUE')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Number.MIN_VALUE")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Number.MAX_VALUE")}}</li>
</ul>
